Epoch:  1

%global eclipse_major   4
%global eclipse_minor   2
%global eclipse_majmin  %{eclipse_major}.%{eclipse_minor}
%global eclipse_micro   1
%global initialize      1
%global download_url    http://download.eclipse.org/technology/linuxtools/eclipse-build/4.2.x/
%global eb_sha1         ec1dc4a92868df7716ee3caf5b530b236fa3542c
%global build_id        M20120914-1800
%global eclipse_version %{eclipse_majmin}.%{eclipse_micro}
%global emf_version     2.8.1

# FIXME:  update java packaging guidelines for this.  See
# fedora-devel-java-list discussion in September 2008.
#
# Prevent brp-java-repack-jars from being run.
%define __jar_repack 0

Summary:        An open, extensible IDE
Name:           eclipse
Version:        %{eclipse_version}
Release:        2%{?dist}
License:        EPL
Group:          Text Editors/Integrated Development Environments (IDE)
URL:            http://www.eclipse.org/
Source0:        %{download_url}eclipse-build-%{eb_sha1}.tar.xz
Source1:        %{download_url}eclipse-%{eclipse_version}-%{build_id}-src.tar.bz2
Source4:        macros.%{name}
Source5:        http://repo1.maven.org/maven2/org/eclipse/osgi/org.eclipse.osgi/3.6.0.v20100517/org.eclipse.osgi-3.6.0.v20100517.pom
# Fetched from http://repo1.maven.org/maven2/org/eclipse/osgi/org.eclipse.osgi.services/3.2.100.v20100503/org.eclipse.osgi.services-3.2.100.v20100503.pom
# Patched to remove fake parent
Source6:        org.eclipse.osgi.services-3.2.100.v20100503.pom
Source7:        http://repo1.maven.org/maven2/org/eclipse/equinox/http/servlet/1.0.0-v20070606/servlet-1.0.0-v20070606.pom
Source8:        org.eclipse.jdt.core-3.8.0.v_C03.pom

BuildRequires:  ant >= 1.8.3
BuildRequires:  rsync
BuildRequires:  jpackage-utils >= 0:1.5, make, gcc
BuildRequires:  gtk2-devel
BuildRequires:  glib2-devel
BuildRequires:  GConf2-devel
BuildRequires:  gcc-c++
BuildRequires:  nspr-devel
BuildRequires:  libXtst-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  cairo >= 1.0
BuildRequires:  unzip
BuildRequires:  desktop-file-utils
BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  java-javadoc >= 1:1.7.0
BuildRequires:  libXt-devel
BuildRequires:  webkitgtk-devel
BuildRequires:  geronimo-annotation >= 1.0-7

BuildRequires: icu4j-eclipse >= 1:4.4.2.2-11
BuildRequires: tomcat-lib >= 7.0.25-3
BuildRequires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-apache-bsf ant-commons-net
BuildRequires: ant-javamail ant-jdepend ant-junit ant-swing ant-jsch ant-testutil ant-apache-xalan2 ant-jmf
BuildRequires: ant-scripts
BuildRequires: jsch >= 0:0.1.46-2
BuildRequires: apache-commons-el >= 1.0-22
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-codec >= 1.6-2
BuildRequires: jakarta-commons-httpclient >= 1:3.1-7
BuildRequires: felix-gogo-command >= 0.12
BuildRequires: felix-gogo-shell >= 0.10.0-3
BuildRequires: jetty >= 8.1.0-1
BuildRequires: lucene >= 2.9.4-8
BuildRequires: lucene-contrib >= 2.9.4-8
BuildRequires: junit >= 4.10-5
BuildRequires: hamcrest >= 0:1.1-11
BuildRequires: sat4j >= 2.3.0-1
BuildRequires: objectweb-asm >= 3.3.1-1
BuildRequires: zip
BuildRequires: sac >= 1.3-12
BuildRequires: batik  >= 1.8
BuildRequires: xml-commons-apis >= 1.4.01-6
BuildRequires: atinject >= 1-6

%if 0%{?rhel} >= 6
ExclusiveArch: %{ix86} x86_64
%endif

%description
The Eclipse platform is designed for building integrated development
environments (IDEs), server-side applications, desktop applications, and
everything in between.

%package     swt
Version:        %{eclipse_version}
Summary:        SWT Library for GTK+-2.0
Group:          Text Editors/Integrated Development Environments (IDE)
# %{_libdir}/java directory owned by jpackage-utils
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils
Requires:       gtk2
Requires:       webkitgtk

%description swt
SWT Library for GTK+-2.0.

%package      equinox-osgi
Version:        %{eclipse_version}
Summary:        Eclipse OSGi - Equinox
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils

%description  equinox-osgi
Eclipse OSGi - Equinox

%package      emf-core
Version:        %{emf_version}
Summary:        Eclipse Modeling Framework Core
Group:          Development/Languages
Requires:       java >= 1:1.7.0
Requires:       %{name}-equinox-osgi = %{epoch}:%{eclipse_version}-%{release}
Conflicts:      eclipse-emf < 2.8.0-0.5

%description  emf-core
Eclipse Modeling Framework Core


%package        rcp
Version:        %{eclipse_version}
Summary:        Eclipse Rich Client Platform
Group:          Development/Languages
Requires:       %{name}-swt = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-equinox-osgi = %{epoch}:%{eclipse_version}-%{release}
Requires:       icu4j-eclipse >= 1:4.4.2.2-11
Requires:       %{name}-emf-core = %{epoch}:%{emf_version}-%{release}
Provides:       osgi(system.bundle) = %{epoch}:%{eclipse_version}

%description    rcp
Eclipse Rich Client Platform

%package        platform
Version:        %{eclipse_version}
Summary:        Eclipse platform common files
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:   %{name}-rcp = %{epoch}:%{eclipse_version}-%{release}
Requires: ant-antlr ant-apache-bcel ant-apache-log4j ant-apache-oro ant-apache-regexp ant-apache-resolver ant-commons-logging ant-apache-bsf ant-commons-net
Requires: ant-javamail ant-jdepend ant-junit ant-swing ant-jsch ant-testutil ant-apache-xalan2 ant-jmf
Requires: ant-scripts
Requires: apache-commons-el >= 1.0-23 
Requires: apache-commons-logging 
Requires: apache-commons-codec >= 1.6-2
Requires: jakarta-commons-httpclient >= 1:3.1-7
Requires: tomcat-lib >= 7.0.25-3
Requires: felix-gogo-command >= 0.12
Requires: felix-gogo-shell >= 0.10.0-3
Requires: jetty >= 8.1.0-1
Requires: jsch >= 0.1.46-2
Requires: lucene >= 2.9.4-8
Requires: lucene-contrib >= 2.9.4-8
Requires: sat4j >= 2.3.0-1
Requires: sac >= 1.3-12
Requires: xml-commons-apis >= 1.4.01-6
Requires: batik >= 1.8
Requires: atinject >= 1-6
Requires: geronimo-annotation >= 1.0-7
Provides: eclipse-cvs-client = 1:%{eclipse_version}-%{release}
Obsoletes: eclipse-cvs-client < 1:3.3.2-20

%description    platform
The Eclipse Platform is the base of all IDE plugins.  This does not include the
Java Development Tools or the Plugin Development Environment.


%package        jdt
Version:        %{eclipse_version}
Summary:        Eclipse Java Development Tools
Group:          Text Editors/Integrated Development Environments (IDE)
Requires:       %{name}-platform = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-cvs-client = %{epoch}:%{eclipse_version}-%{release}
Requires:       junit >= 4.10-5
Requires:       jakarta-commons-httpclient >= 1:3.1-7
Requires:       hamcrest >= 0:1.1-11
Requires:       java-javadoc >= 1:1.7.0


%description    jdt
Eclipse Java Development Tools.  This package is required to use Eclipse for
developing software written in the Java programming language.

%package        pde
Version:        %{eclipse_version}
Summary:        Eclipse Plugin Development Environment
Group:          Text Editors/Integrated Development Environments (IDE)
Provides:       eclipse = %{epoch}:%{eclipse_version}-%{release}
Provides:       eclipse-sdk = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-platform = %{epoch}:%{eclipse_version}-%{release}
Requires:       %{name}-jdt = %{epoch}:%{eclipse_version}-%{release}
Requires:       objectweb-asm >= 3.3.1-1
# For PDE Build wrapper script + creating jars
Requires:       zip
Requires:       bash
Provides:       %{name}-pde-runtime = 1:%{eclipse_version}-%{release}
Obsoletes:      %{name}-pde-runtime < 1:3.3.2-20

%description    pde
Eclipse Plugin Development Environment.  This package is required for
developing Eclipse plugins.

%prep
export JAVA_HOME=%{java_home}
%setup -q -n eclipse-build-%{eb_sha1}
cp %{SOURCE1} .
ant applyPatches
pushd build/eclipse-%{eclipse_version}-%{build_id}-src

# Use our system-installed javadocs, reference only what we built, and
# don't like to osgi.org docs (FIXME:  maybe we should package them?)
sed -i -e "s|http://download.oracle.com/javase/1.5.0/docs/api|%{_datadir}/javadoc/java|" \
   -e "/osgi\.org/d" \
   -e "s|-breakiterator|;../org.eclipse.equinox.util/@dot\n;../org.eclipse.ecf.filetransfer_3.0.0.v20090302-0803.jar\n;../org.eclipse.ecf_3.0.0.v20090302-0803.jar\n-breakiterator|" \
    plugins/org.eclipse.platform.doc.isv/platformOptions.txt
sed -i -e "s|http://download.oracle.com/javase/1.5.0/docs/api|%{_datadir}/javadoc/java|" \
   -e "s/win32.win32.x86/gtk.linux.%{eclipse_arch}/" \
   plugins/org.eclipse.jdt.doc.isv/jdtOptions.txt
sed -i -e "s|http://download.oracle.com/javase/6/docs/api|%{_datadir}/javadoc/java|" \
   -e "/osgi\.org/d" \
   plugins/org.eclipse.jdt.doc.isv/jdtOptions.txt
sed -i -e "s|http://download.oracle.com/javase/1.4.2/docs/api|%{_datadir}/javadoc/java|" \
   -e "s/motif.linux.x86/gtk.linux.%{eclipse_arch}/" \
   -e "/osgi\.org/d" \
   plugins/org.eclipse.pde.doc.user/pdeOptions.txt \
   plugins/org.eclipse.pde.doc.user/pdeOptions.txt
sed -i -e "s|http://download.oracle.com/javase/1.5.0/docs/api|%{_datadir}/javadoc/java|" \
   plugins/org.eclipse.pde.doc.user/pdeOptions.txt \
   plugins/org.eclipse.pde.doc.user/pdeOptions.txt

#fix for glib 2.31 not allowing include of anything else but glib
sed -i -e "s|#include <glib/gslist.h>||g" plugins/org.eclipse.core.net/natives/unix/gnomeproxy.c

# make sure there are no jars left
JARS=""
for j in $(find -name \*.jar); do
  if [ ! -L $j ]; then
    JARS="$JARS `echo $j`"
  fi
done
if [ ! -z "$JARS" ]; then
    echo "These jars should be deleted and symlinked to system jars: $JARS"
   #FIXME: enable  exit 1
fi

popd

%build
export JAVA_HOME=%{java_home}
ant provision.cvs

%install
export JAVA_HOME=%{java_home}
ant -DdestDir=$RPM_BUILD_ROOT -Dprefix=/usr -Dmultilib=true installSDKinDropins

# We don't need icon.xpm
# https://bugs.eclipse.org/292472
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/icon.xpm

# Some directories we need
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/java
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
# Create file listings for the extracted shared libraries
echo -n "" > %{_builddir}/%{buildsubdir}/%{name}-platform.install;
for id in `ls configuration/org.eclipse.osgi/bundles`; do
  if [ "Xconfiguration" = $(echo X`find configuration/org.eclipse.osgi/bundles/$id -name libswt\*.so` | sed "s:/.*::") ]; then
    echo "%verify(not mtime) %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/$id" > %{_builddir}/%{buildsubdir}/%{name}-swt.install;
  else
    echo "%verify(not mtime) %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/$id" >> %{_builddir}/%{buildsubdir}/%{name}-platform.install;
  fi
done
popd

# Remove state files
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}/configuration/org.eclipse.osgi/
    rm -rf .bundledata* .lazy* .manager .state*
popd

# Symlinks to the SWT JNI shared libraries in %%{_libdir}/eclipse
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
for lib in $(find configuration -name libswt\*.so); do
  ln -s $lib `basename $lib`
done
popd

# Temporary fix until https://bugs.eclipse.org/294877 is resolved
sed -i "s|-Xms40m|-Xms128m|g" $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
sed -i "s|-Xmx384m|-Xmx512m|g" $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-Dorg.eclipse.swt.browser.UseWebKitGTK=true" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-Dhelp.lucene.tokenizer=standard" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/core/internal/dtree/DataTreeNode,forwardDeltaWith" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding,<init>" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates,instantiateTemplate" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage,addBinding" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/python/pydev/editor/codecompletion/revisited/PythonPathHelper,isValidSourceFile" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini
echo "-XX:CompileCommand=exclude,org/python/pydev/ui/filetypes/FileTypesPreferencesPage,getDottedValidSourceFiles" >> $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini

# Prevent running master Eclipse in a shared configuration
echo "-preventMasterEclipseLaunch" | cat - $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini > /tmp/out && mv -f /tmp/out $RPM_BUILD_ROOT/%{_sysconfdir}/eclipse.ini

# Deploy installation debug config
echo -e "org.eclipse.equinox.p2.core/debug=true" >  $RPM_BUILD_ROOT%{_libdir}/%{name}/.options
echo -e "org.eclipse.equinox.p2.core/reconciler=true" >>  $RPM_BUILD_ROOT%{_libdir}/%{name}/.options

# SWT JAR symlink in libdir
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}
ln -s ../%{name}/swt.jar ../java/swt.jar
popd

# OSGI JAR symlinks in javadir and maven depmaps
pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.osgi_*.jar osgi.jar
popd
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-osgi.pom
%add_maven_depmap JPP.eclipse-osgi.pom %{name}/osgi.jar -a "org.eclipse:osgi,org.eclipse.tycho:org.eclipse.osgi"

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*.jar osgi.services.jar
popd
install -m 0644 %{SOURCE6} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-osgi.services.pom
%add_maven_depmap JPP.eclipse-osgi.services.pom %{name}/osgi.services.jar -a "org.eclipse.osgi:services"

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*.jar osgi.util.jar
popd

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.servlet_*.jar equinox.http.servlet.jar
popd
install -m 0644 %{SOURCE7} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-equinox.http.servlet.pom
%add_maven_depmap JPP.eclipse-equinox.http.servlet.pom %{name}/equinox.http.servlet.jar -a "org.eclipse.equinox.http:servlet"

pushd $RPM_BUILD_ROOT%{_javadir}/eclipse
ln -s ../../../../%{_libdir}/%{name}/plugins/org.eclipse.jdt.core_*.jar jdt.core.jar
popd
install -m 0644 %{SOURCE8} $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.eclipse-jdt.core.pom
%add_maven_depmap JPP.eclipse-jdt.core.pom %{name}/jdt.core.jar -a "org.eclipse:jdt.core,org.eclipse.tycho:org.eclipse.jdt.core"

# A sanity check.
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# Create a script that can be used to make a symlink tree of the
# eclipse platform.
cp -p pdebuild/eclipse-copy-platform.sh copy-platform

mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts
mv copy-platform $RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts
copyPlatform=$RPM_BUILD_ROOT%{_libdir}/%{name}/buildscripts/copy-platform

# Install the PDE Build wrapper script.
install -p -D -m0755 pdebuild/eclipse-pdebuild.sh \
  $RPM_BUILD_ROOT%{_bindir}/%{name}-pdebuild
PDEBUILDVERSION=$(ls $RPM_BUILD_ROOT%{_libdir}/%{name}/dropins/sdk/plugins \
  | grep org.eclipse.pde.build_ | \
  sed 's/org.eclipse.pde.build_//')
sed -i "s/@PDEBUILDVERSION@/$PDEBUILDVERSION/g" \
  $RPM_BUILD_ROOT%{_bindir}/%{name}-pdebuild

# Install eclipse macros file
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/rpm/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/

# Remove the junit library duplicated by pdebuild.
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/dropins/jdt/plugins/org.junit_4.10.0.v4_10_0_v20120426-0900.jar

%post platform
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun platform
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre jdt
# workaround for rpm bug, can be removed in F-20 Fixes the problem with efj being directory instead of launcher
rm -rf %{_bindir}/efj/

%if %{initialize}
%files swt -f %{name}-swt.install
%else
%files swt
%endif
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%if %{initialize}
%{_libdir}/%{name}/libswt-*.so
%dir %{_libdir}/%{name}/configuration
%dir %{_libdir}/%{name}/configuration/org.eclipse.osgi
%dir %{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles
%endif
%{_libdir}/%{name}/notice.html
%{_libdir}/%{name}/eclipse.ini
%{_libdir}/%{name}/.options
%{_libdir}/%{name}/epl-v10.html
%{_libdir}/%{name}/plugins/org.eclipse.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.swt.gtk.linux.*
%{_libdir}/%{name}/swt-gtk*.jar
%{_libdir}/%{name}/swt.jar
%{_libdir}/java/swt.jar

%files -n  eclipse-emf-core
%{_libdir}/%{name}/features/org.eclipse.emf.common_*
%{_libdir}/%{name}/features/org.eclipse.emf.ecore_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.common_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.ecore_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.ecore.change_*
%{_libdir}/%{name}/plugins/org.eclipse.emf.ecore.xmi_*

%files rcp
%dir %{_libdir}/%{name}/features
%dir %{_datadir}/%{name}
%dir %{_libdir}/%{name}/configuration
%{_libdir}/%{name}/configuration/config.ini
%{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
%dir %{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator
%{_libdir}/%{name}/readme
%{_libdir}/%{name}/features/org.eclipse.rcp_*
%{_libdir}/%{name}/features/org.eclipse.e4.rcp_*
%{_libdir}/%{name}/plugins/com.ibm.icu_*
%{_libdir}/%{name}/plugins/javax.inject_1.0.0.v20091030.jar
%{_libdir}/%{name}/plugins/javax.xml_1.3.4.v200806030440.jar
%{_libdir}/%{name}/plugins/org.apache.batik.css_*
%{_libdir}/%{name}/plugins/org.apache.batik.util.gui_*
%{_libdir}/%{name}/plugins/org.apache.batik.util_*
%{_libdir}/%{name}/plugins/org.apache.geronimo.specs.geronimo-annotation_1.1_spec_*
%{_libdir}/%{name}/plugins/org.eclipse.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.core.contenttype_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.beans_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.observable_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.property_*
%{_libdir}/%{name}/plugins/org.eclipse.core.expressions_*
%{_libdir}/%{name}/plugins/org.eclipse.core.jobs_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.app_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.bidi_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.console_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.common_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher.gtk.linux.*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.preferences_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.util_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.contexts_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.di.extensions_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.di_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.services_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.bindings_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.core_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.swt.theme_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.di_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.model.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.services_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.widgets_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.addons.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.renderers.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench3_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.jface_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.rcp_*
%{_libdir}/%{name}/plugins/org.eclipse.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.update.configurator_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator_*
%{_libdir}/%{name}/plugins/org.w3c.css.sac_*
%{_libdir}/%{name}/plugins/org.w3c.dom.svg_*

%if %{initialize}
%files platform -f %{name}-platform.install
%else
%files platform
%endif
%attr(0755,root,root) %{_bindir}/%{name}
%{_libdir}/%{name}/.eclipseproduct
%config %{_libdir}/%{name}/eclipse.ini
%config %{_sysconfdir}/eclipse.ini
%{_sysconfdir}/rpm/macros.%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/*/*/apps/*
%{_libdir}/%{name}/eclipse
%dir %{_libdir}/%{name}/dropins
%dir %{_datadir}/%{name}/dropins
%{_libdir}/%{name}/features/org.eclipse.platform_*
%{_libdir}/%{name}/features/org.eclipse.e4.rcp_*
%{_libdir}/%{name}/plugins/com.jcraft.jsch_*
%{_libdir}/%{name}/plugins/org.eclipse.jdt.core_*
%{_libdir}/%{name}/plugins/javax.servlet_*
%{_libdir}/%{name}/plugins/javax.servlet.jsp_*
%{_libdir}/%{name}/plugins/javax.el_*
%{_libdir}/%{name}/plugins/javax.inject_1.0.0.v20091030.jar
%{_libdir}/%{name}/plugins/javax.xml_1.3.4.v200806030440.jar
%{_libdir}/%{name}/plugins/org.apache.tomcat_*
%{_libdir}/%{name}/plugins/org.apache.juli_*
%{_libdir}/%{name}/plugins/org.apache.el_*
%{_libdir}/%{name}/plugins/org.apache.ant_*
%{_libdir}/%{name}/plugins/org.apache.batik.css_*
%{_libdir}/%{name}/plugins/org.apache.batik.util.gui_*
%{_libdir}/%{name}/plugins/org.apache.batik.util_*
%{_libdir}/%{name}/plugins/org.apache.commons.codec_*
%{_libdir}/%{name}/plugins/org.apache.commons.el_*
%{_libdir}/%{name}/plugins/org.apache.commons.httpclient_*
%{_libdir}/%{name}/plugins/org.apache.commons.logging_*
%{_libdir}/%{name}/plugins/org.apache.felix.gogo.command_*
%{_libdir}/%{name}/plugins/org.apache.felix.gogo.runtime_*
%{_libdir}/%{name}/plugins/org.apache.felix.gogo.shell_*
%{_libdir}/%{name}/plugins/org.apache.geronimo.specs.geronimo-annotation_1.1_spec_*
%{_libdir}/%{name}/plugins/org.apache.lucene.core_*
%{_libdir}/%{name}/plugins/org.apache.lucene.analysis_*
%{_libdir}/%{name}/plugins/org.eclipse.ant.core_*
%{_libdir}/%{name}/plugins/org.eclipse.compare_*
%{_libdir}/%{name}/plugins/org.eclipse.compare.core_*
%{_libdir}/%{name}/plugins/org.eclipse.core.externaltools_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filebuffers_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem_*
%{_libdir}/%{name}/plugins/org.eclipse.core.filesystem.linux.*
%{_libdir}/%{name}/plugins/org.eclipse.core.net_*
%{_libdir}/%{name}/plugins/org.eclipse.core.net.linux.*
%{_libdir}/%{name}/plugins/org.eclipse.core.resources_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.core.variables_*
%{_libdir}/%{name}/plugins/org.eclipse.debug.core_*
%{_libdir}/%{name}/plugins/org.eclipse.debug.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.ds_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.event_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.jetty_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.http.servlet_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.jsp.jasper.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.help.base_*
%{_libdir}/%{name}/plugins/org.eclipse.help.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.help.webapp_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.text_*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.core_*
%{_libdir}/%{name}/plugins/org.eclipse.jsch.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.core.refactoring_*
%{_libdir}/%{name}/plugins/org.eclipse.ltk.ui.refactoring_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*
%{_libdir}/%{name}/plugins/org.eclipse.platform_*
%{_libdir}/%{name}/plugins/org.eclipse.platform.doc.user_*
%{_libdir}/%{name}/plugins/org.eclipse.search_*
%{_libdir}/%{name}/plugins/org.eclipse.team.core_*
%{_libdir}/%{name}/plugins/org.eclipse.team.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.text_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.browser_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.cheatsheets_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.console_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.editors_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.externaltools_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.forms_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.ide.application_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.intro.universal_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.navigator.resources_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.net_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.views.properties.tabbed_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench.texteditor_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.contexts_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.di.extensions_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.di_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.core.services_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.bindings_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.core_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.swt.theme_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.css.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.di_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.model.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.services_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.widgets_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.addons.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.renderers.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench.swt_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench3_*
%{_libdir}/%{name}/plugins/org.eclipse.e4.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.util_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.server_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.http_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.continuation_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.io_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.security_*
%{_libdir}/%{name}/plugins/org.eclipse.jetty.servlet_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.initializer_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.core_*
%{_libdir}/%{name}/plugins/org.eclipse.cvs_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ssh2_*
%{_libdir}/%{name}/plugins/org.eclipse.team.cvs.ui_*
%{_libdir}/%{name}/features/org.eclipse.cvs_*
%{_libdir}/%{name}/features/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.apache.jasper_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.frameworkadmin_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.frameworkadmin.equinox_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator.manipulator_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.core.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.extras.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.rcp.feature_*
%{_libdir}/%{name}/features/org.eclipse.equinox.p2.user.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.director_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.core_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.engine_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.jarprocessor_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.metadata_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.metadata.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.artifact.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.touchpoint.eclipse_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.touchpoint.natives_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.console_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ql_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.operations_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.transport.ecf_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.importexport_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.sdk_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.ui.sdk.scheduler_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.updatechecker_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.garbagecollector_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.directorywatcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.publisher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.publisher.eclipse_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.repository_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.repository.tools_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.reconciler.dropins_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.updatesite_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.security_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.security.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.extensionlocation_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.p2.director.app_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.httpclient_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.httpclient.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.provider.filetransfer.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.ssl_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.filetransfer_*
%{_libdir}/%{name}/plugins/org.eclipse.ecf.identity_*
%{_libdir}/%{name}/plugins/org.sat4j.core_*
%{_libdir}/%{name}/plugins/org.sat4j.pb_*
%{_libdir}/%{name}/plugins/org.w3c.css.sac_*
%{_libdir}/%{name}/plugins/org.w3c.dom.svg_*
# Put this in -platform since we're putting the p2 stuff here
%{_libdir}/%{name}/artifacts.xml
# FIXME: should we ship content.xml for the platform?
#%%{_libdir}/%%{name}/metadata
%{_libdir}/%{name}/p2
%{_javadir}/%{name}/equinox.http.servlet.jar

%files jdt
%attr(0755,root,root) %{_bindir}/efj
%{_libdir}/%{name}/dropins/jdt
%{_javadir}/%{name}/jdt.core.jar

%files pde
%{_bindir}/%{name}-pdebuild
%{_libdir}/%{name}/buildscripts
%{_libdir}/%{name}/dropins/sdk

%files equinox-osgi
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/osgi.jar
%{_javadir}/%{name}/osgi.services.jar
%{_javadir}/%{name}/osgi.util.jar
%{_libdir}/%{name}/plugins/org.eclipse.osgi_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.services_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi.util_*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Fri Nov 9 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-2
- Added debug symbols.

* Tue Oct 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.1-1
- Update to upstream 4.2.1 version.

* Tue Jul 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-3
- Bug 839986 - eclipse-rcp: broken symlinks

* Fri Jul 6 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-2
- Improved patch for discovering changes after update.

* Fri Jun 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-1
- Included patch for Eclipse bug 251167
- Recompiled all jsr14 bundles as 1.5
- Update to final Juno release.
- Removed the old pdebuild script warning.
- Created OSGI subpackage.
- Removed the necessity to delete ~/.eclipse after some updates.

* Fri Jun 18 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:4.2.0-0.24.I201205031800
- Remove empty reconciler script.

* Fri Jun 15 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.23.I201205031800
- Workaround for Eclipse bug 382574

* Thu May 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.22.I201205031800
- Do not pass the -preventMasterLaunch to non SDK applications.

* Fri May 18 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.21.I201205031800
- Prevent running Eclipse as root.
- Populate Update Sites.
- Pick renamed plugins on startup.
- Bundle the .option file for investigating startup problems.

* Sat May 5 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.20.I201205031800
- Update to M7.

* Mon Apr 30 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.19.I201204291800
- Update to I20120429-1800.

* Tue Apr 24 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.18.I201204171000
- Regenerating s390 and s390x launcher fragments from scratch.

* Mon Apr 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.17.I201204171000
- Remove duplicated junit library.
- Initial s390 and s390x support.
- Update to latest eclipse-build.

* Fri Apr 20 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.16.I201204171000
- Bug 814332 - Documentation is not pointing to locally installed javadoc. 

* Thu Apr 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.15.I201204171000
- Amendment to previous release.

* Thu Apr 19 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.14.I201204171000
- Bug 813763 - /usr/bin/efj has missising exec permissions
- Bug 813756 - eclipse-jdt: bundled junit library
- Move hamcrest dependency to JDT.

* Wed Apr 18 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.13.I201204171000
- Move to the latest upstream I-build
- Generate full documentation.
- Formalize requirement on geronimo.

* Wed Apr 18 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:4.2.0-0.12.I201204051114
- Don't fail if icon.xpm does not exist.

* Thu Apr 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.11.I201204051114
- Version more requirements.
- Move java requirement to the lowest-in-stack package.
- Removed some rpmlint warnings from spec file.

* Wed Apr 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.10.I201204051114
- Specified version for java-javadoc requirements.

* Tue Apr 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.9.I201204051114
- Picked rawhide 4.2 package.

* Fri Apr 6 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:4.2.0-0.6.I201204051114
- Update to I20120405-1114 upstream Eclipse build.
- Update to latest e-b
- Bug 810552 - JSch Requires should be versioned

* Mon Apr 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.21.I201203201400
- pdebuild script installed into %%{_bindir}

* Mon Mar 26 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.20.I201203201400
- Added Provides: osgi(system.bundle)  to rcp package.

* Thu Mar 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.19.I201203201400
- Update to I20120320-1400.
- Ant version changed to 1.8.3.
- ECF version changed to 3.5.5.
- Experimental ARM support.

* Fri Mar 16 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.18.I201203141800
- Update to I20120314-1800.
- Eclipse-build updated to head.
- Required Jsch version updated to include correct MANIFEST.MF 

* Sun Mar 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.17.I201203060800
- Update to I20120228-0800.
- Properly build org.eclipse.jdt.launching from source.

* Wed Feb 29 2012 Andrew Overholt <overholt@redhat.com> 1:3.8.0-0.16.I201202280800
- Add macro for build ID to ease moving to new ones.

* Wed Feb 29 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.15.I201202280800
- Eclipse update to I20120228-0800

* Wed Feb 22 2012 Roland Grunberg <rgrunber@redhat.com> 1:3.8.0-0.14.I201202140800
- Add org.eclipse.tycho:org.eclipse.osgi to osgi depmap.
- Install org.eclipse.jdt.core in javadir/eclipse.
- Add maven pom and depmap for org.eclipse.jdt.core.

* Wed Feb 22 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.13.I201202140800
- Updated dependencies to match jetty 8.1.0-1.
- Updated commons-codec minimal requirements.
- Moved icu4j dependency from swt to rcp.

* Fri Feb 17 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.12.I201202140800
- Adopt noarch icu4j-eclipse
- Add the icu4j-source bundle.
- Using system jar for junit 4 and different OSGI metadata for junit 3
- Update to Eclipse build I20120214-0800.

* Thu Feb 16 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.11.I201202070800
- Install a blank eclipse-reconciler.sh.

* Mon Feb 13 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.10.I201202070800
- Remove reconciler macros from macros.eclipse.
- Do not create temp eclipse directory in rpm-state.
- Do not install .so extaction paterns file.
- Stop running the reconciler.

* Thu Feb 9 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.9.I201202070800
- Remove -debug reconciler flag
- Remove macro _eclipse_reqs.
- Define %%{_eclipse_base} in macros.eclipse.
- Pass dropins dir to reconciler when updating the platform.

* Wed Feb 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.7.I201201310842
- Drop the indirect dependency to tomcat 5.
- Support for gnomelibproxy on x86_64.

* Fri Feb 3 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.6.I201201310842
- Change the makefile patch to be truly universal

* Wed Feb 1 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.5.I201201310842
- Update to Eclipse 3.8 I20120131-0842

* Tue Jan 31 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.8.0-0.4.I201201230800
- Remove xulrunner requirement.

* Tue Jan 31 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.3.I201201230800
- Updated dependency to felix-gogo-shell to include fix for bug 786041.
- Fixed mixed-use-of-spaces-and-tabs warning in the spec file.

* Tue Jan 31 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.2.I201201230800
- Version changed to a better format.

* Mon Jan 30 2012 Krzysztof Daniel <kdaniel@redhat.com> 1:3.8.0-0.M4c
- Update to Eclipse 3.8 I20120123-0800

* Fri Jan 20 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-16
- Remove ORBit-2 requirement.

* Thu Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-15
- Add BuildRequires:  ORBit2-devel

* Tue Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-15
- Use rpm-state/eclipse for run-reconciler file instead of /var/run.
- Delete eclipse-tmpfiles.conf.

* Mon Jan 19 2012 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-14
- Remove _eclipse_pkg macro.
- Use mktemp for creating a backup directory in eclipse-reconciler.sh

* Fri Jan 16 2012 Alexander Kurtakov <akurtako@redhat.com> - 1:3.7.1-13
- Fix o.e.osgi.services pom to remove fake parent.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.7.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 22 2011 Andrew Overholt <overholt@redhat.com> 1:3.7.1-11
- Install org.eclipse.osgi.services and org.eclipse.equinox.http.servlet in
  javadir/eclipse.
- Add maven pom and depmap for the above.
- Fixes rhbz#769621.

* Tue Dec 20 2011 Andrew Robinson <arobinso@redhat.com> 1:3.7.1-10
- Specfile fix for license feature.

* Mon Dec 19 2011 Andrew Overholt <overholt@redhat.com> 1:3.7.1-9
- New eclipse-build snapshot with proper p2 repo URLs.

* Tue Nov 29 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.1-8
- Stop using -clean option.
- Use -Dosgi.checkConfiguration=true when updating the platform.
- Remove cache.timestamps and .bundledata* when running the reconciler
  with -Dosgi.checkConfiguration=true.
- Do not verify %%{_libdir}/%%{name}/artifacts.xml.

* Tue Nov 29 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-7
- Bump release.

* Fri Nov 25 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.1-6
- Add ExclusiveArch for RHEL.

* Fri Nov 25 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-5
- (Re-apply) Upgrade to Tomcat 7 Jasper.
- Include org.eclipse.jdt.core as part of platform to avoid cyclic
  dependency between platform and jdt.

* Mon Nov 21 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-4
- Bump release to match f16 branch.

* Tue Nov 16 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-2
- Upload new source fixing RHBZ #753090.

* Tue Nov 08 2011 Roland Grunberg <rgrunber@redhat.com> 1:3.7.1-1
- Update to 3.7.1.
- org.apache.lucene no longer used upstream.

* Sat Oct 29 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-9
- New e-b snapshot - fixed Program.launch for remote uris.
- Adds _javadir/icu4j.jar for secondary archs bootstrapping.

* Wed Oct 26 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-8
- Add Requires(post/postun) to _eclipse_pkg macro.

* Fri Oct 21 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-7
- Install org.eclipse.osgi in javadir/eclipse/osgi.jar
- Add maven pom and depmap.
- Fix compilation with glib 2.31.

* Thu Oct 20 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-7
- Change _eclipse_pkg to pipe all reconciler output to /dev/null

* Thu Oct 20 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-6
- Bump the release number.

* Wed Oct 19 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Add new line before writing to eclipse.ini.

* Fri Oct 14 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Change eclipse-reconciler script to run with no arguments.
- Use initscripts to create run directory.
- Run reconciler only once per install transaction. 

* Tue Oct 4 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- New eclipse-build source tar ball.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Bump the relese number.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Remove all metadata files created by the reconciler before
  uninstallation.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Install .so extraction file.
- Extract .so files when the reconciler is run with -clean

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Correct verification for files edited by the reconciler.
- Do not install state files.

* Mon Oct 3 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-5
- Add Requires post and postun platform to jdt and pde on 

* Fri Sep 23 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-4
- Run reconciler after and before pde installation.

* Fri Sep 23 2011 Sami Wagiaalla <swagiaal@redhat.com> 1:3.7.0-4
- Add new script eclipse-reconciler.sh
- Run eclipse-reconciler.sh in the post and postun sections of jdt 
  and post seciton on platform.
- Remove all old profiles in %%pre rcp.

* Wed Sep 21 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-4
- Remove _bindir/efj in pre - Fixes #738677.

* Mon Sep 12 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.7.0-3
- Use latest eclipse-build snapshot - fixes openjdk 7 build.
- Fix efj launcher script.

* Mon Jun 27 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-1.3
- Fix eclipse archive name

* Fri Jun 24 2011 Andrew Overholt <overholt@redhat.com> 1:3.7.0-1.2
- Fix SWT symlink in %%{_libdir} (rhbz#715470)

* Sun Jun 19 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-1.1
- Fix upload of e-b snapshot

* Wed Jun 15 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-1.0
- New e-b snapshot to update build on 3.7 Final

* Tue Jun 07 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.4.RC4
- New e-b snapshot to update build on 3.7 RC4
- Added usage of features back

* Thu Jun 02 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.3.RC3
- New e-b snapshot to update build on 3.7 RC3
- removed efj as it's part of eclipse-build now
- removed usage of features

* Tue May 17 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.2.RC1
- New e-b snapshot, fixes org.eclipse.equinox.util issue
- updated servlet and jsp related dependencies

* Tue May 17 2011 Chris Aniszczyk <zx@redhat.com> 1:3.7.0-0.1.RC1
- New e-b snapshot - first eclipse 3.7 build based on 3.7 RC1.

* Wed Apr 27 2011 Chris Aniszczyk <zx@redhat.com> 1:3.6.2-5
- New e-b snapshot - really fixes dropins issue.
- update sat4j dependency to 2.3.0

* Mon Apr 25 2011 Chris Aniszczyk <zx@redhat.com> 1:3.6.2-4
- Add rsync to BuildRequires.

* Mon Apr 25 2011 Chris Aniszczyk <zx@redhat.com> 1:3.6.2-3
- New e-b snapshot - fixes dropins issue.

* Fri Apr 8 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-2
- New e-b snapshot - fixes Program.launch problem without libswt-gnome.

* Fri Apr 8 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-1
- Switch to webkit by default.
- New eclipse-build snapshot.

* Wed Apr 6 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-0.2
- Drop bootstrap conditional.
- Drop shell start script.
- Drop jpp versioned dependencies - apache-commons-* have never had such versions.
- Removed patches moved to eclipse-build. 

* Fri Mar 11 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.2-0.1
- First take on 3.6.2.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.1-4
- Fix build with ant 1.8.2.

* Mon Dec 13 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.1-3
- Add fix for Eclipse help XSS vulnerability (RH Bz #661901).

* Tue Oct 12 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.1-2
- Require zip for eclipse-pde.

* Tue Oct 5 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.1-1
- Update to 3.6.1.

* Fri Oct 1 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.0-17
- Push release #, since there has been a 3.6.0-16 scratch build.

* Thu Sep 30 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.0-16
- Fix copy-platform script generation.

* Mon Sep 27 2010 Severin Gehwolf <sgehwolf@redhat.com> 1:3.6.0-15
- Add shell script portability patch for prepare-build-dir.sh.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-14
- Really reenable webkit.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-13
- Reenable webkit support, build is fixed.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-12
- Disable webkit support - it is causing build failures.

* Tue Sep 21 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-11
- Add jsp-api dependency and use the tomcat6 one.

* Fri Sep 17 2010 Jeff Johnston <jjohnstn@redhat.com> 1:3.6.0-10
- Add patch to fix xpcom problem.

* Tue Sep 7 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-9
- Add webkitgtk-devel BR and webkit R.

* Wed Sep 1 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-8
- Add patch to remove ant-trax from ant bundle's classpath.
- Use new package names in BR/R.

* Wed Sep 1 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-7
- Update to eclipse-build 0.6.1 release.
- Fix build with ant 1.8.1.

* Tue Aug 17 2010 Andrew Overholt <overholt@redhat.com> 1:3.6.0-6
- Update to eclipse-build 0.6.1RC2.
- List a few files that were missing but should be installed.
- Finally remove %%{_datadir}/%%{name}/{features,plugins} as nothing is
  installed in there and shouldn't be.
- Use new eclipse-build targets provision.sdk and installSDKinDropins.
- Remove filenamepatterns.txt as it's now part of eclipse-build.
- Update download URL.
- Remove unused patches.

* Tue Aug 10 2010 Andrew Overholt <overholt@redhat.com> 1:3.6.0-5
- Update to eclipse-build 0.6.0 final.

* Fri Aug 06 2010 Andrew Overholt <overholt@redhat.com> 1:3.6.0-4
- Move epl-v10.html and notice.html to SWT sub-package.

* Thu Jul 15 2010 Elliott Baron <ebaron@fedoraproject.org> 1:3.6.0-3
- Increasing min versions for jetty, icu4j-eclipse and sat4j.

* Fri Jul 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-2
- o.e.core.net.linux is no longer x86 only.

* Fri Jul 9 2010 Alexander Kurtakov <akurtako@redhat.com> 1:3.6.0-1
- Update to 3.6.0.
- Based on eclipse-build 0.6.1 RC0.
